2.3.4 error when auto checking for updates

An RSS/Atom newsreader with features comparable to commercial newsreaders.
User avatar
AriaPictures
Muffin
Posts: 38
Joined: Wed May 14, 2008 11:00 pm
Location: lake tahoe
Contact:

2.3.4 error when auto checking for updates

Postby AriaPictures » Thu Jan 14, 2010 9:57 pm

Turned on vienna 2.3.4 on 10.5.8 and said there was an update of 2401 and clicked "Install Update" and got an error:
Update Error!
An error occurred while trying to download the file. please try again later.


do I go get it through the site and will the next auto update and install work?

User avatar
David Munch
Grandé
Posts: 892
Joined: Sun Dec 05, 2004 3:41 pm
Location: Denmark
Contact:

Re: 2.3.4 error when auto checking for updates

Postby David Munch » Fri Jan 15, 2010 7:57 am

Seeing the same thing. I can't upgrade to 2.4.. :)

Edit: Just noticed - I'm running 2400 (2.4 is 2401).
For Vienna issues: Please search Github before posting! Otherwise, file a bug report on Github.

If you are interested in helping out with the development of Vienna, see the Vienna website for details. All levels of programming experience are welcome! :grin:

rob.h
Harmless
Posts: 1
Joined: Fri Jan 15, 2010 10:37 am

Re: 2.3.4 error when auto checking for updates

Postby rob.h » Fri Jan 15, 2010 10:39 am

Same here, although I got around it by manually downloading and installing version 2.4

blubalu
Harmless
Posts: 2
Joined: Sat Jan 16, 2010 12:10 am

Re: 2.3.4 error when auto checking for updates

Postby blubalu » Sat Jan 16, 2010 12:11 am

I'm running 2.3.4.2305 right now and get the same error when trying to update to 2.4. Any news on this bug?

User avatar
Michael Ströck
Vienna Team
Posts: 303
Joined: Mon Mar 06, 2006 9:21 am
Location: Vienna, Austria
Contact:

Re: 2.3.4 error when auto checking for updates

Postby Michael Ströck » Sat Jan 16, 2010 12:39 am

blubalu wrote:I'm running 2.3.4.2305 right now and get the same error when trying to update to 2.4. Any news on this bug?


Unfortunately not - I have no idea what's going on ATM... I hope to find out soon. In the meantime, though, You can just download 2.4 from the website.

User avatar
Michael Ströck
Vienna Team
Posts: 303
Joined: Mon Mar 06, 2006 9:21 am
Location: Vienna, Austria
Contact:

Re: 2.3.4 error when auto checking for updates

Postby Michael Ströck » Sun Jan 17, 2010 1:16 pm

Jeff Johnson just wrote me this Email:

Ok, after much experimentation, I've finally discovered the real problem: SourceForge. Their servers seem to be randomly cutting off the downloads. It has nothing to do with nibs or ditto or Sparkle or NSURLDownload. Try this several times in a row:

$ curl 'http://master.dl.sourceforge.net/project/vienna-rss/ReleasedVersions/2.4.0/Vienna2.4.0.2401.zip' > Vienna2.4.0.2401.zip
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
88 3928k 88 3486k 0 0 497k 0 0:00:07 0:00:07 --:--:-- 558k
curl: (18) transfer closed with 451913 bytes remaining to read


So the problem lies with SourceForge. I'll try to find out what's going on.

blubalu
Harmless
Posts: 2
Joined: Sat Jan 16, 2010 12:10 am

Re: 2.3.4 error when auto checking for updates

Postby blubalu » Sun Jan 17, 2010 1:27 pm

I was successful in downloading the english-only version in the meantime.
Good luck hunting down the SF bug.

User avatar
Michael Ströck
Vienna Team
Posts: 303
Joined: Mon Mar 06, 2006 9:21 am
Location: Vienna, Austria
Contact:

Re: 2.3.4 error when auto checking for updates

Postby Michael Ströck » Sun Jan 17, 2010 4:31 pm

blubalu wrote:I was successful in downloading the english-only version in the meantime.
Good luck hunting down the SF bug.


Jeff just made a change that should solve the problem. It's working for me now.


Return to “Vienna”

Who is online

Users browsing this forum: Google Feedfetcher